{{ ansible_managed | comment }}

svfe =
  (DESCRIPTION =
    (ADDRESS = (PROTOCOL = TCP)(HOST = {{ database_fe_vip1 }})(PORT = 1521))
    (ADDRESS = (PROTOCOL = TCP)(HOST = {{ database_fe_vip2 }})(PORT = 1521))
    (LOAD_BALANCE = NO)
    (CONNECT_DATA =
      (SERVER = DEDICATED)
      (SERVICE_NAME = {{ database_fe_service }})
      (FAILOVER_MODE =
        (BACKUP = svfe_preconnect)
        (TYPE = SESSION)
        (METHOD = PRECONNECT)
        (RETRIES = 180)
        (DELAY = 5)
      )
    )
  )

svfe_preconnect =
  (DESCRIPTION =
    (ADDRESS = (PROTOCOL = TCP)(HOST = {{ database_fe_vip2 }})(PORT = 1521))
    (ADDRESS = (PROTOCOL = TCP)(HOST = {{ database_fe_vip1 }})(PORT = 1521))
    (LOAD_BALANCE = NO)
    (CONNECT_DATA =
      (SERVER = DEDICATED)
      (SERVICE_NAME = {{ database_fe_service }})
      (FAILOVER_MODE =
        (BACKUP = svfe)
        (TYPE = SESSION)
        (METHOD = PRECONNECT)
        (RETRIES = 180)
        (DELAY = 5)
      )
    )
  )
